API
Stagingv2

Enquiries

Broker order enquiry

Return the orders placed under a broker code.

POST/v2/vendor/broker/order/enquiry
Requires scopebroker.order.enquiry

Body parameters

ParameterDescription
brokerCode
string
required
The broker code to enquire on, for example 0BRK.

Response fields

FieldDescription
data
object
Raw broker order records passed through from the exchange trading system.
Request
curl -X POST "https://stagingmobile.nasdng.com/v2/vendor/broker/order/enquiry" \
  -H "Authorization: Bearer sk_test_xxxxxxxxxxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "brokerCode": "0BRK"
  }'
const res = await fetch("https://stagingmobile.nasdng.com/v2/vendor/broker/order/enquiry", {
  method: "POST",
  headers: {
    Authorization: "Bearer sk_test_xxxxxxxxxxxxxxxxxxxxxxxx",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "brokerCode": "0BRK"
  }),
});
const { data } = await res.json();
import requests

res = requests.post(
    "https://stagingmobile.nasdng.com/v2/vendor/broker/order/enquiry",
    json={
        "brokerCode": "0BRK",
    },
    headers={"Authorization": "Bearer sk_test_xxxxxxxxxxxxxxxxxxxxxxxx"},
)
data = res.json()
Response 200 OK
{
  "success": true,
  "message": "Broker orders fetched successfully",
  "data": [
    {
      "OrderNo": 62841,
      "Company": "SDNASDPLC",
      "Broker_Code": "0BRK",
      "OrderType": "SELL",
      "Quantity": 500,
      "Status": "Open"
    }
  ]
}